/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package a0b36pr2_du2.rychly_balik.model.personalistika;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author hapallen
 */
public class Pracovnik {

    /**
     * tato enumereace zde vubec nemusi byt, je zde pouze
     * z duvodu vypisu oznaceni typu pracovnika
     */
    public enum TypPracovnika {

        ADM("Administrativni"), EXEC("Vykonny");
        private String name;

        private TypPracovnika(String name) {
            this.name = name;
        }

        public String getName() {
            return name;
        }
    }
    private Integer id;
    private String jmeno;
    private String prijmeni;
    private TypPracovnika typPracovnika;

    public Pracovnik(Integer id) {
        this.id = id;
    }


    protected Pracovnik(String jmeno, String prijmeni) {
        this.jmeno = jmeno;
        this.prijmeni = prijmeni;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    
    public String getJmeno() {
        return jmeno;
    }

    public void setJmeno(String jmeno) {
        this.jmeno = jmeno;
    }

    public String getPrijmeni() {
        return prijmeni;
    }

    public void setPrijmeni(String prijmeni) {
        this.prijmeni = prijmeni;
    }

    public TypPracovnika getTypPracovnika() {
        return typPracovnika;
    }

    public void setTypPracovnika(TypPracovnika typPracovnika) {
        this.typPracovnika = typPracovnika;
    }

    @Override
    public String toString() {
        return String.format("%15s %15s %20s", getJmeno(), getPrijmeni(), getTypPracovnika().
                getName());
    }

    public static String[] getDescriptor() {
        return new String[]{"Jméno", "Příjmení", "Typ pracovníka", "Oprávnění"};
    }
    
   public Map getAsMap() {
        Map<String, Object> map = new HashMap<String, Object>();
        map.put("Jméno", getJmeno());
        map.put("Příjmení", getPrijmeni());
        map.put("Typ pracovníka", getTypPracovnika().getName());
        return map;
    }

    public String getJmenoAPrijmeni() {
        return getJmeno() + " " + getPrijmeni();
    }
}
